IPSW-IMG4-EXTRACT(1)

NAME
ipsw-img4-extract - Extract IMG4 components

SYNOPSIS
ipsw img4 extract [flags]

DESCRIPTION
Extract IMG4 components

OPTIONS
-h, --help[=false]
    help for extract

-m, --im4m[=false]
    Extract IM4M manifest to path

-p, --im4p[=false]
    Extract IM4P payload to path

-r, --im4r[=false]
    Extract IM4R restore info to path

-o, --output=""
    Output folder

--raw[=false]
    Extract raw IM4P data without decompression

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Extract IM4P payload from IMG4 file
    ❯ ipsw img4 extract --im4p kernel.img4
    # Extract manifest and restore info
    ❯ ipsw img4 extract --im4m --im4r kernel.img4
    # Extract all components to a specific directory
    ❯ ipsw img4 extract --im4p --im4m --im4r --output /tmp/extracted kernel.img4
    # Extract raw (compressed) IM4P data without decompression
    ❯ ipsw img4 extract --im4p --raw kernel.img4

SEE ALSO
ipsw-img4(1)

HISTORY
18-Dec-2025 Auto generated by spf13/cobra